Commit edcbb32e authored by Yannis Barlas's avatar Yannis Barlas

fix(client): allow cors requests from client on another port

parent 2f7866d9
......@@ -28,6 +28,8 @@ module.exports = {
baseUrl: deferConfig(
cfg => `http://localhost:${cfg['pubsweet-server'].port}`,
),
host: 'http://localhost',
port: 4000,
},
'pubsweet-server': {
db: {
......
......@@ -1752,10 +1752,10 @@
exec-sh "^0.3.2"
minimist "^1.2.0"
"@coko/server@^0.0.2":
version "0.0.2"
resolved "https://registry.yarnpkg.com/@coko/server/-/server-0.0.2.tgz#a63de670cfeb39156473d59c1f6fc707d8cf16e1"
integrity sha512-2xCcgQmKYtRczfAmFek0qKfohR/sOQHrqrb2YDu8kEQnRD0wdoNgEHPregDCH3rKohVR8lizUe3epeSp+l1q8g==
"@coko/server@^0.1.0":
version "0.1.0"
resolved "https://registry.yarnpkg.com/@coko/server/-/server-0.1.0.tgz#d0fd02e3f6c96bbb5e829af06899de7699436f2d"
integrity sha512-LOhNjm3+uAXB9XTpjaUhYN+cNBytk0KKeIhKzB8K9WKgS/J6mysCZyZoVkSlq0Lnh+s7ryHEq8XAnhNjMRWBPQ==
dependencies:
"@pubsweet/errors" "^2.0.32"
"@pubsweet/logger" "^0.2.42"
......@@ -1764,6 +1764,7 @@
body-parser "^1.19.0"
config "^3.3.1"
cookie-parser "^1.4.5"
cors "^2.8.5"
express "^4.17.1"
helmet "^3.22.0"
http-status-codes "^1.4.0"
......@@ -6956,7 +6957,7 @@ corejs-upgrade-webpack-plugin@^2.2.0:
resolve-from "^5.0.0"
webpack "^4.38.0"
cors@^2.8.4:
cors@^2.8.4, cors@^2.8.5:
version "2.8.5"
resolved "https://registry.yarnpkg.com/cors/-/cors-2.8.5.tgz#eac11da51592dd86b9f06f6e7ac293b3df875d29"
integrity sha512-KIHbLJqu73RGr/hnbrO9uBeixNGuvSQjul/jdFvS/KFSIH1hWVd1ng7zOHx+YrEfInLG7q4n6GHQ9cDtxv/P6g==
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment